<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="content-type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<?php if(syrus_theme_get_option("social","twitter_username")) { ?>
			<meta name="twitter:site" content="@<?php echo syrus_theme_get_option("social","twitter_username") ?>" />
			<meta name="twitter:card" content="summary">
			<meta name="twitter:creator" content="@<?php echo syrus_theme_get_option("social","twitter_username") ?>" />
		<?php } ?>

		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php syrus_theme_preload_resources() ?>
		
		<?php if(!is_404()) { ?>
			<?php wp_head(); ?>
		<?php } else { ?>
			<link rel="stylesheet" href="<?php echo get_syrus_theme_css_dir()."footer.css" ?>">
			<link rel="stylesheet" href="<?php echo get_syrus_theme_css_dir()."header.css" ?>">
			<link rel="stylesheet" href="<?php echo get_syrus_theme_css_dir()."sidebar.css" ?>">
			<link rel="stylesheet" href="<?php echo get_syrus_theme_css_dir()."bootstrap.min.css" ?>">
		<?php } ?>

		<style>
			  @font-face {
				font-family: 'Montserrat';
				font-style: normal;
				src: url('<?php echo SYRUS_THEME_URI;?>/fonts/Montserrat-Regular.ttf');
			}
		</style>
		<?php syrus_theme_get_option('ads','head',true); ?>
	</head>
	<body <?php body_class(); ?>>

	<a class="screen-reader-text skip-link" href="#main-content">Skip to main content</a>
	<?php if(!is_404()) { ?>
    	<?php wp_body_open(); ?>
	<?php } ?>

	<?php do_action('before_syrus_theme_header'); ?>
	<?php syrus_theme_topnav(); ?>
	<?php do_action('after_syrus_theme_header'); ?>