<?php

function get_st_impostazioni_testi_footer_customizer(){
  $defaults = [
    "Via Tal dei Tali",
    "P.IVA 123456789 - NUMERO REA XX123456",
    "info@example.com"
  ];

  $testi = [];

  foreach(range(1,3) as $i){
    $testi[] = (object) array(
      'handle' => "footer-testo-$i",
      'class' => "testo-$i",
      'desc' => "Inserisci testo #$i",
      'default' => $defaults[$i - 1],
    );
  }

  return $testi;
}

function syrus_theme_customize_scripts($wp_customize){
}

function syrus_theme_customize_register($wp_customize){

  $wp_customize->add_section('sezione-topnav',[
    'title' => __("Header settings",'syrus'),
    'description' => __("Header section",'syrus')
  ]);

  $res = $wp_customize->add_section('sezione-footer',[
    'title' => __("Footer settings",'syrus'),
    'description' => __("Footer section",'syrus')
  ]);

  $wp_customize->add_section('sezione-error-404',[
    'title' => __("404 page settings",'syrus'),
    'description' => __("404 page section",'syrus')
  ]);

  $wp_customize->add_section('sezione-generali',[
    'title' => __("Theme settings",'syrus'),
    'description' => __("Theme settings",'syrus')
  ]);


  st_registra_impostazioni_motto($wp_customize);

  st_registra_impostazioni_header_logo($wp_customize);

  st_registra_impostazioni_header_menu($wp_customize);

  st_registra_impostazioni_footer($wp_customize);

  st_registra_impostazioni_error_404($wp_customize);

  st_registra_impostazioni_generali($wp_customize);
}

function st_registra_impostazioni_header_menu($wp_customize){

  $wp_customize->add_setting('bg-color-main-menu',[
    'type' => "theme_mod",
    'default' => "#333743",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-bg-color-main-menu',[
    'description' => "Seleziona il colore di sfondo del menu principale",
    'section' => "colors",
    'settings' => "bg-color-main-menu"
  ]));

  $wp_customize->add_setting('text-color-main-menu',[
    'type' => "theme_mod",
    'default' => "#cedce9",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-text-color-main-menu',[
    'description' => "Seleziona il colore del testo del menu principale",
    'section' => "colors",
    'settings' => "text-color-main-menu"
  ]));

  $wp_customize->add_setting('bg-color-after-main-menu',[
    'type' => "theme_mod",
    'default' => "orange",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'bg-color-after-main-menu',[
    'description' => "Seleziona il colore della sottolineatura delle voci di menu",
    'section' => "colors",
    'settings' => "bg-color-after-main-menu"
  ]));
}

function st_registra_impostazioni_header_logo($wp_customize){

  $wp_customize->add_setting('bg-color-logo',[
    'type' => "theme_mod",
    'default' => "#FFFFFF",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-bg-color-logo',[
    'description' => "Seleziona il colore di sfondo del logo",
    'section' => "colors",
    'settings' => "bg-color-logo"
  ]));


}

function st_registra_impostazioni_motto($wp_customize){

  $wp_customize->add_setting('background-color-motto',[
    'type' => "theme_mod",
    'default' => "#e5e8ef",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-bg-color-motto',[
    // 'label' => "Colore sfondo motto",
    'description' => "Seleziona il colore di sfondo del motto",
    'section' => "colors",
    'settings' => "background-color-motto"
  ]));

  $wp_customize->add_setting('text-color-motto',[
    'type' => "theme_mod",
    'default' => "#000000",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-text-color-motto',[
    'description' => "Seleziona il colore del testo del motto",
    'section' => "colors",
    'settings' => "text-color-motto"
  ]));
}

function st_registra_impostazioni_footer($wp_customize){
  $wp_customize->add_setting('bg-color-footer',[
    'type' => "theme_mod",
    'default' => "#1e1e1e",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-bg-color-footer',[
    'label' => "Impostazioni footer",
    'description' => "Seleziona il colore di sfondo del footer",
    'section' => "colors",
    'settings' => "bg-color-footer"
  ]));


  $wp_customize->add_setting('text-color-footer',[
    'type' => "theme_mod",
    'default' => "#ffffff",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'button-text-color-footer',[
    'description' => "Seleziona il colore del testo del footer",
    'section' => "colors",
    'settings' => "text-color-footer"
  ]));



  $wp_customize->add_setting('text-copyright',[
    'type' => "theme_mod",
    'default' => "Syrus Industry Srl",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control('text-copyright',[
    'description' => "Inserisci il testo del copyright",
    'section' => "sezione-footer",
    'type' => 'text'
  ]);

  $wp_customize->add_setting('copyright-link',[
    'type' => "theme_mod",
    'default' => "",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control('copyright-link',[
    'description' => "Inserisci il link del copyright",
    'section' => "sezione-footer",
    'type' => 'text',
    'input_attrs' => [
      'placeholder' => "Ex. ".home_url(),
    ]
  ]);

  $testi_footer = get_st_impostazioni_testi_footer_customizer();

  foreach($testi_footer as $testo){
    $wp_customize->add_setting($testo->handle,[
      'type' => "theme_mod",
      'default' => "$testo->default",
      'sanitize_callback' => 'sanitize_text_field',
    ]);
  
    $wp_customize->add_control($testo->handle,[
      'description' => $testo->desc,
      'section' => "sezione-footer",
      'type' => 'text'
    ]);
  }

  $wp_customize->add_setting('text-privacy',[
    'type' => "theme_mod",
    'default' => "Privacy Policy",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control('text-privacy',[
    'description' => "Inserisci il testo della privacy",
    'section' => "sezione-footer",
    'type' => 'text'
  ]);

  $wp_customize->add_setting('privacy-link',[
    'type' => "theme_mod",
    'default' => "",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control('privacy-link',[
    'description' => "Inserisci il link delle privacy policy",
    'section' => "sezione-footer",
    'type' => 'text',
    'input_attrs' => [
      'placeholder' => "Ex. ".home_url()."/privacy-policy",
    ]
  ]);

}

function syrus_theme_aggiungi_supporto_per_customizer(){
  st_aggiungi_supporto_custom_header();
}

function st_aggiungi_supporto_custom_header(){
  // $args = [
  //
  // ];
  // add_theme_support('custom-header',$args);
}

function st_registra_impostazioni_error_404($wp_customize){

  $wp_customize->add_setting('error-title',[
    'type' => "theme_mod",
    'default' => "Oops! That page can’t be found.",
    'sanitize_callback' => 'sanitize_text_field',
  ]);

  $wp_customize->add_control('error-title',[
    'description' => "Inserisci il testo del titolo",
    'section' => "sezione-error-404",
    'type' => 'text'
  ]);

  $wp_customize->add_setting('error-description',[
    'type' => "theme_mod",
    'default' => "It looks like nothing was found at this location. Maybe try a search?",
    'sanitize_callback' => 'sanitize_text_field',
  ]);
 
  $wp_customize->add_control('error-description',[
    'description' => "Inserisci il testo della descrizione",
    'section' => "sezione-error-404",
    'type' => 'text'
  ]);

  $wp_customize->add_control('btn-test-404', array(
    'type' => 'button',
    'settings' => array(),
    'priority' => 10,
    'section' => 'sezione-error-404',
    'input_attrs' => array(
        'value' => "Visualizza la pagina 404",
        'class' => 'button button-primary btn-customizer',
        'onclick' => "jQuery('#customize-preview').find('iframe').attr('src','".home_url()."/test-404/?customize_theme=syrus-theme&customize_messenger_channel=preview-2')",
    ),
) );
}

function st_registra_impostazioni_generali($wp_customize){
  $wp_customize->add_setting('general-font-size',[
    'type' => "theme_mod",
    'default' => "small",
    'sanitize_callback' => 'sanitize_text_field',
  ]);
 
  $wp_customize->add_control('general-font-size',[
    'description' => "Seleziona la grandezza del font",
    'section' => "sezione-generali",
    'type' => 'select',
    'choices' => array(
      'small' => "Piccolo",
      'medium' => "Medio",
      'large' => "Grande",
    ),
  ]);

  $wp_customize->add_setting('color-underline-title-article',[
    'type' => "theme_mod",
    'default' => "#ffa700",
    'sanitize_callback' => 'sanitize_text_field',
  ]);
 
  $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'color-underline-title-article',[
    // 'label' => "Colore sfondo motto",
    'description' => "Seleziona il colore della sottolineatura del titolo dell'articolo",
    'section' => "colors",
    'settings' => "color-underline-title-article"
  ]));
}

?>
