<?php

function syrus_theme_init(){
  syrus_theme_register_css();
  syrus_theme_enqueue_css();

  syrus_theme_register_js();
  syrus_theme_enqueue_js();
  
  syrus_theme_register_custom_menus();

  syrus_theme_add_admin_post_action();
  syrus_theme_add_ajax_post_action();

  syrus_theme_remove_cap_upload_media();

  syrus_theme_add_all_theme_supports();

  syrus_theme_register_importer();

}

function syrus_theme_register_importer() {

  // if(defined('WP_LOAD_IMPORTERS'))
  //   register_importer('syrus-importer',"Syrus Theme Importer","Importa le configurazioni del tema","syrus_theme_importer_form");

}

function syrus_theme_importer_form() {
  get_template_part('template-parts/wp-admin/wp-admin','form-syrus-importer');
}

function syrus_theme_add_all_theme_supports(){
  add_theme_support('post-thumbnails');
  add_theme_support('title-tag');
  add_theme_support('automatic-feed-links');
  add_theme_support('yoast-seo-breadcrumbs');
  add_theme_support("wp-block-styles");
  add_theme_support("responsive-embeds"); 
  add_theme_support("html5",[ 'comment-list', 'comment-form', 'search-form', 'gallery', 'caption', 'style', 'script']); 
  add_theme_support('custom-logo');
  add_theme_support('custom-header');
  add_theme_support('custom-background');
  add_theme_support('align-wide');
}

function syrus_theme_remove_cap_upload_media(){
  // #DEPRECATED
  return true;
  global $wp_roles;

  foreach($wp_roles->roles as $key => $val){
    if($key == "administrator")
      continue;
    
    $role = get_role($key);

    if(!$role)
      continue;
    
    $role->remove_cap("upload_files");
  }
}

function syrus_theme_admin_menu(){
  syrus_theme_aggiungi_pagina_menu_tema();
}

function syrus_theme_aggiungi_pagina_menu_tema(){
  $page_title = "Syrus Theme Page";
  $menu_title = "Syrus";
  $capability = "manage_options";
  $menu_slug  = "syrus-theme-page";
  $callback = "syrus_theme_menu_general_page";
  $position = 1;
  $icon = get_syrus_theme_img_dir('syrus-logo-cropped-16x16.png');

  add_menu_page($page_title,$menu_title,$capability,$menu_slug,$callback,$icon,$position);

  add_submenu_page(
    $menu_slug,
    "Syrus Theme Impostazioni",
    "Settings",
    "manage_options",
    "syrus-theme-menu-page",
    "syrus_theme_menu_page",
    1
  );

  add_submenu_page(
    $menu_slug,
    "Syrus Theme Ads Page",
    "Head | Footer | Content (Ads)",
    "manage_options",
    "syrus-theme-ads-page",
    "syrus_theme_menu_ads_page",
    2
  );

  add_submenu_page(
    $menu_slug,
    "Syrus Theme Robots And Ads Page",
    "Robots.txt | Ads.txt",
    "manage_options",
    "syrus-theme-robots-ads-txt-page",
    "syrus_theme_menu_robots_ads_txt_page",
    3
  );

  add_submenu_page(
    $menu_slug,
    "Syrus Theme Upload Media Page",
    "Rule Upload Media",
    "manage_options",
    "syrus-theme-upload-media-page",
    "syrus_theme_menu_upload_media_page",
    4
  );

  add_submenu_page(
    $menu_slug,
    "Syrus Theme Social Page",
    "Social",
    "manage_options",
    "syrus-theme-social-page",
    "syrus_theme_menu_social_page",
    5
  );

  add_submenu_page(
    $menu_slug,
    "Syrus Personalizza",
    __("Personalizza",'syrus'),
    'manage_options',
    admin_url("customize.php?return=%2Fwp-admin%2F"),
    null,
    "dashicons-admin-appearance",
    6
  );

  // add_submenu_page(
  //   $menu_slug,
  //   "Syrus Theme Debug Page",
  //   "Debug",
  //   "manage_options",
  //   "syrus-theme-debug-page",
  //   "syrus_theme_menu_debug_page",
  //   5
  // );

}

function syrus_theme_menu_general_page() {
 
  include_once syrus_theme_get_template_parts_admin("menu-theme-general-page");
}

function syrus_theme_menu_page(){
  $infinite_scroll_chk = syrus_theme_get_option("generali","infinite_scroll");
  $infinite_scroll_home_chk = syrus_theme_get_option("generali","infinite_scroll_home");
  $span_replace_chk = syrus_theme_get_option("generali","span_replace");
  $p_cleaner_chk = syrus_theme_get_option("generali","p_cleaner");
  $controlli_seo_chk = explode(',',syrus_theme_get_option("generali","controlli_seo"));

  $controlli_seo_checkbox = [
    'tag-h1-presente' => "Presenza di tag H1 nel testo",
    'tag-h2-non-presente' => "Minimo un tag H2 presente nel testo",
    'tag-h3-non-presente' => "Minimo un tag H3 presente nel testo",
    'tag-strong-non-presente' => "Minimo due tag STRONG presenti nel testo",
    'tag-strong-presente-piu-di-8' => "Massimo otto tag STRONG presenti nel testo",
    'tag-p-non-presente' => "Minimo tre tag P presenti nel testo",
    'tag-h2-uguale-al-titolo' => "Tag H2 identici al titolo dell'articolo",
    'tag-h2-e-h3-duplicato' => "Tag H2 identici ai tag H3",
    'min-500-parole' => "L'articolo deve contenere almeno 500 parole",
    'min-2-link-interni' => "Nell'articolo devono essere presenti almeno due link interni",
    'max-1-link-esterno' => "Nell'articolo ci deve essere massimo un link esterno",
    'max-5-words-min-3-words-per-link' => "Ogni link dell'articolo deve avere un minimo di 3 parole e un massimo di 5",
    'immagine-in-evidenza-non-presente' => "Ogni post deve avere un'immmagine di anteprima",
  ];



  include_once syrus_theme_get_template_parts_admin("menu-theme-page");
}

function syrus_theme_menu_ads_page(){
  include_once syrus_theme_get_template_parts_admin("menu-theme-ads-page");
}

function syrus_theme_menu_robots_ads_txt_page(){
  include_once syrus_theme_get_template_parts_admin("menu-theme-robots-ads-txt-page");
}

function syrus_theme_menu_upload_media_page(){
  global $wp_roles;
  $ruoli = $wp_roles->roles;
  include_once syrus_theme_get_template_parts_admin("menu-theme-upload-media-page");
}

function syrus_theme_menu_social_page(){
  $twitter_username = syrus_theme_get_option("social","twitter_username");

  if(!$twitter_username)
    $twitter_username = "";
    
  include_once syrus_theme_get_template_parts_admin("menu-theme-social-page");
}

function syrus_theme_menu_debug_page(){
  global $wp_scripts;
  $scripts_registered = $wp_scripts->registered;
  echo '<h5>Script registrati:</h5><br>';

  foreach($scripts_registered as $key => $val){
    echo "$key<br>";
  }

}

function syrus_theme_load_widget(){
  require_once SYRUS_THEME_PATH."/classes/widgets.php";
  register_widget("SyrusTheme_Categories_Widget");
}

function syrus_theme_rest_api_init() {
  register_rest_route( 'syrus/v1', "/theme-version", array(
    'methods' => 'GET',
    'callback' => 'syrus_theme_rest_api_version',
  ) );

  register_rest_route( 'syrus/v1', "/site-language", array(
    'methods' => 'GET',
    'callback' => 'syrus_theme_rest_api_language',
  ) );

  register_rest_route( 'syrus/v1', "/site-timezone", array(
    'methods' => 'GET',
    'callback' => 'syrus_theme_rest_api_timezone',
  ) );
}


function syrus_theme_rest_api_version(WP_REST_Request $request) {
  echo json_encode([
    'version' => wp_get_theme('syrus')->get('Version')
  ]);
}

function syrus_theme_rest_api_language(WP_REST_Request $request) {
  echo json_encode([
    'language' => get_bloginfo('language')
  ]);
}

function syrus_theme_rest_api_timezone(WP_REST_Request $request) {
  echo json_encode([
    'timezone' => get_option('timezone_string')
  ]);
}


?>
