<?php 

function syrus_theme_salva_impostazioni_ads(){
    $params = $_POST;
    
    foreach($params as $key => $value){
        if(strpos($key,"codice_") !== false){
            update_option("syrus_theme_ads_".explode("codice_",$key)[1],$value);
        }
    }

    wp_safe_redirect(admin_url("admin.php?page=syrus-theme-ads-page"));
}

function syrus_theme_get_option($context,$opt,$print = false){



    $option = get_option('syrus_theme_'.$context.'_'.$opt);

    if($opt == "robots_txt" || $opt == "ads_txt"){
        $option = '"'.$option.'"';
        $option = json_decode($option);
    }

    $option_clean = str_replace('\"','"',$option);
    $option_clean = str_replace("\'","'",$option_clean);

    if(!$print)
        return $option_clean;
    
    echo $option_clean;
}

function syrus_theme_salva_robots_ads_txt(){
    $params = $_POST;


    // Mantain /r e /n
    $ads_json_string = json_encode($params['ads']);
    $robots_json_string = json_encode($params['robots']);

    $ads_json_string = ltrim((string) $ads_json_string,'"');
    $robots_json_string = ltrim((string) $robots_json_string,'"');
    $ads_json_string = rtrim((string) $ads_json_string,'"');
    $robots_json_string = rtrim((string) $robots_json_string,'"');

    update_option("syrus_theme_file_ads_txt",$ads_json_string);
    update_option("syrus_theme_file_robots_txt",$robots_json_string);


    $abilita_ads_txt = isset($params['abilita_ads_txt']) && $params['abilita_ads_txt'] == 1 ? 1 : 0;
    $abilita_robots_txt = isset($params['abilita_robots_txt']) && $params['abilita_robots_txt'] == 1 ? 1 : 0;

    update_option('syrus_theme_file_abilita_ads_txt',$abilita_ads_txt);
    update_option('syrus_theme_file_abilita_robots_txt',$abilita_robots_txt);

    wp_safe_redirect(admin_url("admin.php?page=syrus-theme-robots-ads-txt-page"));
}

function syrus_theme_salva_impostazioni_generali(){
    $params = $_POST;

    $infinite_scroll_chk = isset($params['infinite_scroll_chk']) && $params['infinite_scroll_chk'] == 1 ? 1 : 0;
    $infinite_scroll_home_chk = isset($params['infinite_scroll_home_chk']) && $params['infinite_scroll_home_chk'] == 1 ? 1 : 0;
    $span_replace_chk = isset($params['span_replace_chk']) && $params['span_replace_chk'] == 1 ? 1 : 0;
    $p_cleaner_chk = isset($params['p_cleaner_chk']) && $params['p_cleaner_chk'] == 1 ? 1 : 0;
    $controlli_seo_chk = isset($params['controlli_seo']) && $params['controlli_seo'] != "" ? implode(',',$params['controlli_seo']) : null;

    update_option("syrus_theme_generali_controlli_seo",$controlli_seo_chk);
    update_option("syrus_theme_generali_infinite_scroll",$infinite_scroll_chk);
    update_option("syrus_theme_generali_infinite_scroll_home",$infinite_scroll_home_chk);
    update_option("syrus_theme_generali_span_replace",$span_replace_chk);
    update_option("syrus_theme_generali_p_cleaner",$p_cleaner_chk);
    wp_safe_redirect(admin_url("admin.php?page=syrus-theme-menu-page"));
}

function syrus_theme_salva_impostazioni_social(){
    $params = $_POST;

    $username_twitter = isset($params['twitter_username']) && $params['twitter_username'] != "" ? $params['twitter_username'] : null;


    update_option("syrus_theme_social_twitter_username",$username_twitter);
    wp_safe_redirect(admin_url("admin.php?page=syrus-theme-social-page"));
}

function syrus_theme_salva_impostazioni_cap_media(){

    $utenti_abilitati = $_POST['utenti'] ?: [];

    $tutti_gli_utenti = get_users();


    if(isset($_POST['reset']) && $_POST['reset'] == 1){

        foreach($tutti_gli_utenti as $user){
            $user_obj = new WP_User($user->ID);
            $ruolo_utente = $user->roles[0];

            $user_obj->add_cap("syrus_theme_upload_files");

            if($ruolo_utente == "administrator")
                continue;
            
            
            $user_obj->remove_cap('syrus_theme_upload_files');
    
        }

        wp_safe_redirect(admin_url("admin.php?page=syrus-theme-upload-media-page"));
        return true;
    }



    foreach($tutti_gli_utenti as $user){
        $user_obj = new WP_User($user->ID);
        $ruolo_utente = $user->roles[0];
        
        
        if($ruolo_utente == "administrator"){
            $user_obj->add_cap("syrus_theme_upload_files");
            continue;
        }

        
        $user_obj->remove_cap('syrus_theme_upload_files');

        if(!in_array($user->ID,$utenti_abilitati))
            continue;
        
        $user_obj->add_cap("syrus_theme_upload_files");
    }
    
    wp_safe_redirect(admin_url("admin.php?page=syrus-theme-upload-media-page"));
  }

  function syrus_theme_import_impostazioni_tema() {
    
    // Prossimi rilasci

  }

  function syrus_theme_export_impostazioni_tema() {
    
    // Prossimi rilasci

  }
?>